コンテンツにスキップ
ShopentlyLearn

商品 · ダウンロード · ファイル

upload_idを作成した後、multipart/form-dataでファイルを送信し、商品に関連付けます。ダウンロードにはBearerトークンとcategoryの権限が必要です。応答はファイルのバイト列で、公開URLやパスワードは使いません。 共通販売ファイルへの明示的なアクセス規則。 new_purchases / recent_and_new / selected / all_purchasers.

GET/api/v1/products/{product_id}/files/{file_id}/versions/{version_id}/content

cURLリクエスト

: "${SHOPENTLY_SHOP_URL:?}"

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 300 \
  --request GET \
  --header "Authorization: Bearer ${SHOPENTLY_ACCESS_TOKEN:?}" \
  --max-filesize 262144000 \
  --output "${SHOPENTLY_OUTPUT_FILE:?}" \
  --url "${SHOPENTLY_SHOP_URL%/}"'/api/v1/products/example/files/00000000-0000-4000-8000-000000000001/versions/00000000-0000-4000-8000-000000000001/content?category=digital'

レスポンス

Content-Type: application/pdf
Content-Disposition: attachment; filename="manual.pdf"

必要な権限

利用可能な最低プラン
STANDARD
必要な権限
特定のフィールドに必要な追加権限
  • category=internal: 商品ファイルの閲覧 · 内部ファイルcatalog.product_file:read_internal
  • category=customer_document: 商品ファイルの閲覧 · 購入者向け資料catalog.product_file:read_customer_document
  • category=digital: 商品ファイルの閲覧 · デジタル商品catalog.product_file:read_digital